//
// TrafficGraphSettings.cs
//
// Author:
//       Carsten Sonne Larsen <cs@innolan.dk>
//
// Copyright (c) 2013-2016 Carsten Sonne Larsen
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.
using System;
using Ntp.Analyzer.Graph.Interface;
using System.Collections.Generic;
using Ntp.Analyzer.Export;
using System.Drawing.Imaging;

namespace Ntp.Analyzer.Gui.Model
{
    public sealed class TrafficGraphSettings : ITrafficGraphConfiguration
    {
        public TrafficGraphSettings ()
        {
        }

        public int HostId { get; set; }

        public double Received { get; set; }

        public double Ignored { get; set; }

        public double Dropped { get; set; }

        public double Sent { get; set; }

        public double NotSent { get; set; }

        public double ReceivedAvg { get; set; }

        public double IgnoredAvg { get; set; }

        public double DroppedAvg { get; set; }

        public double SentAvg { get; set; }

        public double NotSentAvg { get; set; }

        public int PlotInterval { get; set; }

        public int PacketRate { get; set; }

        public string Title { get; set; }

        public int Timespan { get; set; }

        public int Width { get; set; }

        public int Height { get; set; }

        public ImageFormat Format {
            get { return ImageFormat.Jpeg; }
        }

        public IEnumerable<StreamDestination> Locations {
            get { return new List<StreamDestination> (); }
        }
    }
}
