﻿//
// ConfigurationKeyword.cs
//
// Author:
//       Carsten Sonne Larsen <cs@innolan.dk>
//
// Copyright (c) 2016 Carsten Sonne Larsen
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

namespace Ntp.Analyzer.Localize
{
    public class ConfigurationKeyword
    {
        public const string Include = "Include";

        public const string Server = "Server";
        public const string ServerHostId = "HostID";
        public const string ServerHostAddress = "HostAddress";
        public const string ServerHostType = "HostType";
        public const string ServerFilePath = "FilePath";
        public const string ServerWebPath = "WebPath";

        public const string ServerTypeNtpdc = "ntpdc";
        public const string ServerTypeNtpq = "ntpq";
        public const string ServerTypeOpenNtpd = "ntpctl";

        public const string Database = "Database";
        public const string DatabaseHost = "Host";
        public const string DatabasePort = "Port";
        public const string DatabaseName = "Name";
        public const string DatabaseUser = "User";
        public const string DatabasePass = "Pass";
        public const string DatabaseCreate = "Create";
        public const string DatabaseUpgrade = "Upgrade";
        public const string DatabaseProvider = "Provider";
        public const string DatabaseProviderMySql = "MySQL";
        public const string DatabaseProviderPostgre = "PostgreSQL";

        public const string Permission = "Permission";
        public const string PermissionExecUser = "ExecUser";
        public const string PermissionUser = "User";
        public const string PermissionGroup = "Group";
        public const string PermissionMode = "Mask";

        public const string Listener = "Listener";
        public const string ListenerIp = "IP";
        public const string ListenerPort = "Port";

        public const string Cluster = "Cluster";
        public const string ClusterNode = "Node";
        public const string ClusterNodeIp = "IP";
        public const string ClusterNodePort = "Port";

        public const string HostStats = "HostStats";
        public const string HostIoStats = "HostIOStats";
        public const string PeerStats = "PeerStats";

        public const string Reading = "Reading";
        public const string ReadingName = "Name";
        public const string InitialRun = "InitialRun";
        public const string FixedRun = "FixedRun";
        public const string Frequency = "Frequency";
        public const string TimeStamp = "TimeStamp";
        public const string TimeStampUtc = "UTC";
        public const string TimeStampLocal = "Local";

        public const string Notify = "Notify";
        public const string NotifyRecipient = "Mail";
        public const string NotifySubject = "Subject";
        public const string NotifySender = "Sender";
        public const string NotifySmtpHost = "SmtpHost";
        public const string NotifySmtpPort = "SmtpPort";
        public const string NotifySmtpUser = "SmtpUser";
        public const string NotifySmtpPass = "SmtpPass";
        public const string NotifyEnableSsl = "EnableSsl";

        public const string GraphTitle = "Title";
        public const string GraphWidth = "Width";
        public const string GraphHeight = "Height";
        public const string GraphTimespan = "Timespan";
        public const string GraphFilterFactor = "FilterFactor";
        public const string GraphJitter = "Jitter";
        public const string GraphOffset = "Offset";

        public const string HostGraph = "HostGraph";
        public const string HostGraphGFrequency = "GFrequency";
        public const string HostGraphStability = "Stability";

        public const string PeerGraph = "PeerGraphs";
        public const string PeerGraphBalance = "Balance";
        public const string PeerGraphDelay = "Delay";

        public const string TrafficGraph = "TrafficGraph";
        public const string TrafficGraphReceived = "Received";
        public const string TrafficGraphIgnored = "Ignored";
        public const string TrafficGraphDropped = "Dropped";
        public const string TrafficGraphSent = "Sent";
        public const string TrafficGraphNotSent = "NotSent";
        public const string TrafficGraphAvgReceived = "AvgReceived";
        public const string TrafficGraphAvgIgnored = "AvgIgnored";
        public const string TrafficGraphAvgDropped = "AvgDropped";
        public const string TrafficGraphAvgSent = "AvgSent";
        public const string TrafficGraphAvgNotSent = "AvgNotSent";
        public const string TrafficGraphPlotInterval = "PlotInterval";
        public const string TrafficGraphPacketRate = "PacketRate";

        public const string PageTitle = "PageTitle";
        public const string PageShowUtc = "ShowUTC";
        public const string PageTemplate = "Template";
        public const string PageTemplateDefault = "Default";
        public const string PageTemplateBootstrap = "Bootstrap";
        public const string PageLink = "Link";

        public const string GraphPage = "GraphPage";
        public const string LinkIndex = "LinkIndex";

        public const string AboutPage = "AboutPage";
        public const string AboutPageServerId = "ServerID";
        public const string AboutPageContentTitle = "ContentTitle";
        public const string AboutPageContent = "Content";

        public const string HostPage = "HostPage";
        public const string HostPagePoolMember = "PoolMember";
        public const string HostPageQueryDirect = "QueryDirect";

        public const string HostGraphPage = "HostGraphPage";
        public const string PeerGraphPage = "PeerGraphPage";
        public const string PeerPages = "PeerPages";
        public const string PeerSummaryPage = "PeerSummaryPage";
        public const string Summaries = "Summaries";

        public const string Menu = "Menu";
        public const string MenuItem = "Item";
        public const string MenuItemType = "Type";
        public const string MenuItemCaption = "Caption";
        public const string MenuItemLink = "Link";
        public const string MenuItemPage = "Page";
        public const string MenuItemDropdown = "Dropdown";
        public const string MenuItemDropdownContent = "Content";

        public const string MenuItemTypeSpacer = "Spacer";
        public const string MenuItemTypeHeader = "Header";
        public const string MenuItemTypeName = "Name";

        public const string GraphSet = "Images";
        public const string GraphSetTitle = "Title";
        public const string GraphSetItem = "Graph";

        public const string DirectoryDestinations = "Destinations";
        public const string DirectoryPrefix = "Prefix";
        public const string DirectoryItem = "Directory";

        public const string FileDestinations = "Destinations";
        public const string FileItem = "File";

        public const string WebLinks = "Links";
        public const string WebLinkItem = "Link";

        public const string NtpAccessPolicyOpen = "OpenAccess";

        public const string TypeUnknown = "unknown";
    }
}